// Copyright © Selmo Technology GmbH. All Rights Reserved

using SelmoStudio.Hmi.Server.Alarms.Model;

namespace SelmoStudio.Hmi.Server.Alarms.Service
{
    public interface IAlarmService
    {
        Action OnUpdate { get; set; }

        Task<Alarm> HeaderAlarm { get; }

        Task<Alarm> LastActive { get; }

        Task<IList<Alarm>> GetActive();

        void Add(Alarm alarm);

        void Remove(Guid id);
    }
}